/**************************************************************************************************
Blinker 4 Program - blinker4.asm
Version 
		0.0			06/13/2000	
Purpose
	This program is to be used with memory overlay code to be resident on emprom.
	This program blinks(toggles) I/O flag 4.

**************************************************************************************************/

#include "def21065l.h"

/*  The following code will be the first of 3 overlay functions.  */
.SEGMENT/PM             pm0_code;

blink4:
.GLOBAL blink4;
		/* code to blink flag 4 */
		ustat1=dm(IOCTL);		/* mask in SDRAM settings */
		bit set ustat1 0x01;	 /* flag 4 output for LEDs */
		dm(IOCTL)=ustat1;

			
wait_forever:
		jump wait_flag1;
continue:
		bit tgl ustat1 0x01;					/* toggle flag 4 LED */
		dm(IOSTAT)=ustat1; 
		jump wait_forever;



wait_flag1:
	if not flag1_in jump wait_flag1;        /* wait for flag1 to be pressed */
	if not flag2_in jump release;
getout:
	if flag2_in jump getout;	/* wait for release of flag2 */
	rts;
release:
	if flag1_in jump release;       /* wait for flag1 to be releaseed */
	jump continue;

/*--------------------------------------------------------------------------------------*/

.ENDSEG;
	   
