/**************************************************************************************************
Blinker 45 Program - blinker45.asm
Version 
		0.0			06/13/2000	
Purpose
	This program is to be used with memory overlay code to be resident on emprom.
	This program blinks(toggles) I/O flag 4, 5.

**************************************************************************************************/

#include "def21065l.h"

/*  The following code will be the second of 3 overlay functions.  */
.SEGMENT/PM             pm1_code;

blink45:
.GLOBAL blink45;
	   	/* code to blink flag 4,5 */
		ustat1=dm(IOCTL);		/* mask in SDRAM settings */
		bit set ustat1 0x03;	 /* flag 4,5 output for LEDs */
		dm(IOCTL)=ustat1;

			
wait_forever:
		jump wait_flag1;
continue:
		bit tgl ustat1 0x03;					/* toggle flag 4,5 LED */
		dm(IOSTAT)=ustat1; 
		jump wait_forever;



wait_flag1:
	if not flag1_in jump wait_flag1;        /* wait for flag1 to be pressed */
	if not flag2_in jump release;
getout:
	if flag2_in jump getout;	/* wait for release of flag2 */
	rts;
	nop;
	nop;
	

release:
	if flag1_in jump release;       /* wait for flag1 to be releaseed */
	jump continue;
	nop;
	nop;

/*--------------------------------------------------------------------------------------*/

.ENDSEG;
	   
